Name:           athena-config
Version:        0
Release:        1%{?dist}
Summary:        System configuration for Athena

License:        Custom
URL:            https://gitlab.com/athenaos/packages/system/athena-config
Source0:        https://gitlab.com/athenaos/packages/system/athena-config/-/archive/main/athena-config-main.tar.gz

BuildArch:      noarch

Requires:       athena-tweak-tool
Requires:       terminus-font

%description
System configuration files for Athena OS. Includes default user settings, desktop entries, and icons.

%prep
%autosetup -n %{name}-main

%build
# Nothing to build

%install
mkdir -p %{buildroot}/usr/bin
mkdir -p %{buildroot}/usr/local/bin
mkdir -p %{buildroot}/usr/lib
mkdir -p %{buildroot}/usr/share/applications
mkdir -p %{buildroot}/usr/share/desktop-directories
mkdir -p %{buildroot}/usr/share/icons/hicolor
mkdir -p %{buildroot}/usr/share/icons/htb-toolkit
mkdir -p %{buildroot}/usr/share/pixmaps/faces
mkdir -p %{buildroot}/etc/modprobe.d
mkdir -p %{buildroot}/etc/skel
mkdir -p %{buildroot}/etc/xdg/menus

cp -a etc/modprobe.d/*                %{buildroot}/etc/modprobe.d/
cp -a etc/skel/.bash_aliases          %{buildroot}/etc/skel/
cp -a etc/skel/.blerc                 %{buildroot}/etc/skel/
install -m 644 etc/xdg/menus/*.menu   %{buildroot}/etc/xdg/menus/

cp -a usr/lib/os-release              %{buildroot}/usr/lib/
cp -a usr/bin/shell-rocket            %{buildroot}/usr/bin/
cp -a usr/local/bin/*                 %{buildroot}/usr/local/bin/
cp -a usr/share/applications/*        %{buildroot}/usr/share/applications/
cp -a usr/share/desktop-directories/* %{buildroot}/usr/share/desktop-directories/
cp -a usr/share/icons/hicolor/*       %{buildroot}/usr/share/icons/hicolor/
cp -a usr/share/icons/htb-toolkit/*   %{buildroot}/usr/share/icons/htb-toolkit/
cp -a usr/share/pixmaps/*             %{buildroot}/usr/share/pixmaps/

%files
# Uncomment if LICENSE exists in the repo root
# %license LICENSE
%config(noreplace) /etc/modprobe.d/*
%config(noreplace) /etc/skel/.bash_aliases
%config(noreplace) /etc/skel/.blerc
%config(noreplace) /etc/xdg/menus/*.menu
/usr/bin/shell-rocket
/usr/lib/os-release
/usr/local/bin/*
/usr/share/applications/*
/usr/share/desktop-directories/*
/usr/share/icons/hicolor/*
/usr/share/icons/htb-toolkit/*
/usr/share/pixmaps/*

%changelog
